From f82873bf01fbc22c54f5015477b72935428ec4cc Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:27:17 +0000
Subject: [PATCH 517/1001] Adjust default value regarding HTTPS for cookie


---

diff --git a/hubs/default_config.py b/hubs/default_config.py
index b0d3eb7..0ce12f8 100755
--- a/hubs/default_config.py
+++ b/hubs/default_config.py
@@ -12,7 +12,10 @@ HUB_OF_THE_MONTH = 'commops'
 
 OIDC_CLIENT_SECRETS = os.path.join(os.path.dirname(
     os.path.abspath(__file__)), '..', 'client_secrets.json')
-OIDC_ID_TOKEN_COOKIE_SECURE = False
+# This settings means that the application needs to be run behind http*s* for
+# the cookie to be saved. For development you will likely need to make it
+# `False`
+OIDC_ID_TOKEN_COOKIE_SECURE = True
 OIDC_REQUIRE_VERIFIED_EMAIL = False
 OIDC_OPENID_REALM = 'http://localhost:5000/oidc_callback'
 OIDC_SCOPES = ['openid', 'email', 'profile', 'fedora']

